Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Class FieldMetaData.MemberProvider

    java.lang.Object
      org.apache.openjpa.meta.FieldMetaData.MemberProvider

All Implemented Interfaces:
  Externalizable, Serializable

Enclosing class:
  FieldMetaData

    public static class FieldMetaData.MemberProvider

extends Object
implements Externalizable

Serializable wrapper around a `Method` or `Field`. For space considerations, this does not support `Constructor`s.

See Also:
  Serialized Form

Constructor Summary
`FieldMetaData.MemberProvider()`
`FieldMetaData.MemberProvider(Member member)`

Method Summary
`Member` | `getMember()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldMetaData.MemberProvider

    public FieldMetaData.MemberProvider()

### FieldMetaData.MemberProvider

    FieldMetaData.MemberProvider(Member member)

Method Detail

### getMember

    public Member getMember()

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.